Unit WinG;

Interface

Uses Windows;

{WinG - Typen:}
Type WING_DITHER_TYPE=(WING_DISPERSED_4x4, WING_DISPERSED_8x8, WING_CLUSTERED_4x4);

{globale WinG-Variablen:}
Var WinGBitmapInfo:TBitmapInfo;	{Bitmapinfo des Wing-Puffers}
    HWinGDC:HDC;                {Puffer-DC}
    HWinGOldBitmap,             {alter Bitmap-Handle zur Restauration}
    HWinGBitmap:HBitmap;        {Bitmap-Handle}
    PWinGBitmap:Pointer;        {Zeiger auf Puffer}

{WinGDC- und WinGBitmap-Funktionen:}
Function WinGCreateDC: HDC; StdCall;
Function WinGRecommendDIBFormat(PHeader: PBITMAPINFO):Bool; StdCall;
Function WinGCreateBitmap(hWinGDC:HDC; pHeader:PBITMAPINFO; ppBits:Pointer):HBITMAP; StdCall;
Procedure WinGGetDIBPointer(WinGBitmap:HBITMAP; pHeader:PBITMAPINFO); StdCall;
Function WinGGetDIBColorTable(hWinGDC:HDC;StartIndex:Word;NumberOfEntries:Word;pColors:Pointer):Word; StdCall;
Function WinGSetDIBColorTable(hWinGDC:HDC;StartIndex:Word;NumberOfEntries:Word;pColors:Pointer):Word; StdCall;

{Halftone-Funktionen:}
Function WinGCreateHalftonePalette:HPALETTE; StdCall;
Function WinGCreateHalftoneBrush(Context:HDC;crColor:TColorRef;DitherType:WING_DITHER_TYPE):HBrush; StdCall;

{Blitting-Funktionen:}
Function WinGBitBlt(hdcDest:HDC; nXOriginDest:Integer; nYOriginDest:Integer; nWidthDest:Integer;
	nHeightDest:Integer; hdcSrc:HDC; nXOriginSrc:Integer; nYOriginSrc:Integer):Bool; StdCall;
Function WinGStretchBlt(hdcDest:HDC; nXOriginDest:Integer; nYOriginDest:Integer; nWidthDest:Integer;
	nHeightDest:Integer; hdcSrc:HDC; nXOriginSrc:Integer; nYOriginSrc:Integer;
	nWidthSrc:Integer; nHeightSrc:Integer):Bool; StdCall;

Implementation

Function WinGCreateDC;  StdCall; External 'WING32';
Function WinGRecommendDIBFormat;  StdCall; External 'WING32';
Function WinGCreateBitmap;  StdCall; External 'WING32';
Procedure WinGGetDIBPointer;  StdCall; External 'WING32';
Function WinGGetDIBColorTable;  StdCall; External 'WING32';
Function WinGSetDIBColorTable;  StdCall; External 'WING32';
Function WinGCreateHalftonePalette; StdCall; External 'WING32';
Function WinGCreateHalftoneBrush;  StdCall; External 'WING32';
Function WinGBitBlt;  StdCall; External 'WING32';
Function WinGStretchBlt;  StdCall; External 'WING32';

Begin
End.
